.userContainer{
    width: 1000px;
    height: 500px;
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%); 
    display: flex;
    align-items: stretch;
    box-shadow: 0px 0px 15px #ccc;
    background-color:  #fefef4;
    .signInText{
        position: absolute;
        width: 340px;
        padding: 30px 30px 0 30px;
        z-index: 2;      
        color: #ffffff;     
        font-weight: 100;
        
    }  
    .singupText{
        position: absolute;
        width: 340px;
        padding: 30px 30px 0 30px;     
        right: 0;
        opacity: 0;
        color: #ffffff;  
        
    }   
    .signInText,.singupText{
        h1{
            font-family: 'Lobster', cursive;
            font-weight: 100;
        } 
        h3{
            font-family: 'Titillium Web', sans-serif;
            font-weight: 100;
        } 
        h4{
            font-family: 'Titillium Web', sans-serif;
            font-weight: 100;
            padding-top:150px; 
        } 
        
    }
    
    .navContainer{
        width: 400px;                    
        background: url("../../assets/bg.png");
        background-size: cover;
        background-position: right;
        z-index: 1;
        color:#fff;
        
        &.movingToSignup{
            .navButton::after
            {            
              content: "Login" !important;
            } 
        }
        &.movingToLogin{
            .navButton::after
            {            
              content: "Signup" !important;
            } 
        }
        .buttonContainer{
            padding: 25px; 
           
            .navButton
            {            
              position: absolute;
              border: 1px  #fff solid;
              width: 150px; 
              bottom: 50px;
              font-weight: 300;
              &::after
            {            
              content: "Signup";
            } 
            } 
        }
                
        
    }
    .formContainer{
        width: 60%;
        background-color: #fefef4;
        .loginContent{
            margin: 0 100px;
            height: 500px;            
        } 
        .signupContent{
            margin: 0 100px;
            height: 500px;
        }
    }  
    .fadeInSignin
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animFadeIn;
       
    }  
    .fadeOutSignin
    {
        animation-fill-mode: forwards;
        animation-duration: 0.5s;  
        animation-name: animFadeOut;
       
    }  
    .fadeInSignup
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animFadeInSignup;
       
    }  
    .fadeOutSignup
    {
        animation-fill-mode: forwards;
        animation-duration: 0.5s;  
        animation-name: animFadeOutSignup;
       
    }  
    .movingToSignup
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animToSignup;
       
    }  
    .movingToLogin
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animToLogin;
       
    }  
    .movingFormToSignup
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animFormToSignup;
       
    }  
    .movingFormToLogin
    {
        animation-fill-mode: forwards;
        animation-duration: 1.5s;  
        animation-name: animFormToLogin;
       
    }  
    @keyframes animFadeOutSignup {
        0% {                     
            opacity: 1;
            transform: translateX(0px);  
        }      
       
        
        100% {
            transform: translateX(10px);              
            opacity: 0; 
            z-index: 0; 
        }
      }
      @keyframes animFadeInSignup {
        0% {
            transform: translateX(10px);                        
            opacity: 0;
        }
        65%{
            transform: translateX(10px);                        
            opacity: 0;
        }
        100% {
            opacity: 1;    
            transform: translateX(0px);     
            z-index: 2;         
       
        }
        
      }
    @keyframes animFadeOut {
        0% {
            transform: translateX(0px);                        
            opacity: 1;
        }
        100% {
            opacity: 0;    
            transform: translateX(-10px);  
            z-index: 0;            
       
        }
      }
      @keyframes animFadeIn {
        0% {                     
            opacity: 0;
            transform: translateX(-10px);  
        }      
        65%{
            transform: translateX(-10px);                        
            opacity: 0;
        }
        
        100% {
            transform: translateX(0px);   
            z-index: 2;           
            opacity: 1; 
        }
      }


      @keyframes animToSignup {
        0% {
            transform: translateX(0px);                        
            width: 400px;             
        }                
        35%{
            width: 600px;
        }
        
        100% {
            transform: translateX(600px);
            width: 400px;   
        }
      }
      @keyframes animToLogin {
        0% {
            transform: translateX(600px);                        
            width: 400px;             
        }                
        35%{
            width: 600px;
        }
        
        100% {
            transform: translateX(0px);
            width: 400px; 
        }
      }

      @keyframes animFormToSignup {
        0% {
            transform: translateX(0px);                        
        }               
       
        100% {
            transform: translateX(-400px);
        }
      }
      @keyframes animFormToLogin {
        0% {
            transform: translateX(-400px);                        
        }               
       
        100% {
            transform: translateX(0px);
        }
      }
}


